Subject: [0/7] RFC: Assorted arch/powerpc mm related cleanups

From: David Gibson <[email-masked]>
Date: Thu, 10 May 2007 16:04:49 +1000

Here is a series of patches I'm working on which follow on from my
recent patches splitting up mmu.h and pgtable.h.  These are a bunch of
cleanups to the arch/powerpc mm headers and (in some cases) code.

They haven't been tested beyond compiling for a small number of
configs yet, and I wouldn't be expecting to merge them into mainline
until 2.6.23, but for anyone who's interested, here they are.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson